MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000114124thATC[All Projects] Planningpublic2016-02-06 23:302016-11-22 05:46
ReporterAdvMichael 
Assigned Tontnll 
PriorityhighSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
Platformx64OS(All OS)OS Version(All versions)
Product Version2.0-a22 
Target VersionFixed in Version2.0-a22 
Summary0000114: SID not detected correctly for clearance
DescriptionAt most airports the initial clearance does not contain any SID, just the simple "runway XX departure". If again requesting the clearance (for example via "change runway" dialog) the clearance includes messed up and wrong data in the place of the SID. Appears that the parsing of the procedure data files is not working properly anymore. In earlier plugin versions that was working perfectly fine already, also still working in the preview a21 dated 22.12.2015

Please refer to the logfile (PDF), where I highlighted some of the wrong SID data. You can see the messed up characters sometimes in combination with the words "found:" or "New". The log file and on screen text output do not even show all the data, on the voice output there are even more messed up characters and the voice keeps talking rubbish for quite long time.
Steps To ReproduceTry airports LOWL,LOWK or EDDM
Additional Informationsee attached log file / wrong SID data highlighted in red color
TagsNo tags attached.
Attached Filespdf file icon Log124thATC.pdf [^] (104,270 bytes) 2016-02-06 23:30

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2016-02-06 23:30 AdvMichael New Issue
2016-02-06 23:30 AdvMichael File Added: Log124thATC.pdf
2016-02-09 19:49 ntnll Status new => resolved
2016-02-09 19:49 ntnll Resolution open => fixed
2016-02-09 19:49 ntnll Product Version 2.0-a21 => 2.0-a22
2016-02-09 19:49 ntnll Fixed in Version => 2.0-a22
2016-08-08 02:31 ntnll Status resolved => assigned
2016-08-08 02:31 ntnll Assigned To => ntnll
2016-08-08 02:37 ntnll Status assigned => resolved
2016-11-22 05:46 ntnll Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker